package uniba.core;

/**
 * Contiene una parola con relativo peso
 */
public class DoubleWeightedWord {

  private String word;
  private double weight;
  private String category = null;	

  public String getCategory() {
	return category;
  }	


  public DoubleWeightedWord (String word, double weight) {
	this.word=word;
	this.weight=weight;
  }

  public DoubleWeightedWord (String word, String cat) {
	this.word=word;
	this.category = cat;
  }
	

  /**
   * Restituisce il peso 
   */  
  public double getWeight() {
	return weight;
  }  

  /**
   * Restituisce la parola
   */
  public String getWord() {
	return word;
  }  
}
