package uniba.gui;

import uniba.databanker.*;
import java.util.*;
import java.awt.*;

class DeleteFeature implements Runnable {

	private Databanker db;
	private String utente;
      private Frame parent;
      private Frame progressWindow;

	DeleteFeature (String utente, 
			   Databanker db,
			   Frame parent, 
			   Frame progressWindow) {

		this.db = db;
      	this.utente = utente;
            this.parent = parent;
            this.progressWindow = progressWindow;
		Thread t = new Thread(this);
		t.start();
	}


	public void run() {
	   try {	
	       db.deleteFeature(utente);
         } catch (Exception e) {	
		      new  StampaErrore(parent, "Delete Feature", "Exception:\n" + e.getMessage());
                  e.printStackTrace();
	   }	
	   finally {
		progressWindow.hide();
	   }	
	}
}