package uniba.gui;

import java.net.*;
import java.io.*;
import uniba.databanker.*;
import java.util.*;

class MultiServerThread extends Thread {
    private Socket socket = null;
    private Databanker db = null;
    PrintWriter out; 



    MultiServerThread(Socket socket, Databanker db) {
	super("MultiServerThread");
	this.socket = socket;
      this.db = db;
    }


    /**
     * Soddisfa la richiesta del Web Browser
     */
    public void run() {
	
	try {
	   out = new PrintWriter(socket.getOutputStream(), true);
	   BufferedReader in = new BufferedReader(
				    new InputStreamReader(
				    socket.getInputStream()));

	   String inputLine = null, outputLine = null, richiesta = "";
	    
	   while ( !(inputLine = in.readLine()).equals("") ) 
		    richiesta = richiesta + "\n" + inputLine;
         
         //Scrive su out
	   
	    processInput(richiesta);
		
         in.close();
	   socket.close();
      } 
      catch (Exception e) {
		//System.out.println(e.getMessage());
            //e.printStackTrace();
	}
    }


    /*
     * Elabora la risposta per la richiesta
     */
    private void processInput(String richiesta) throws Exception {

		try {

	   		String iden = richiesta.substring(richiesta.indexOf("/")+1,
					                      richiesta.indexOf("HTTP")-1);
			StringTokenizer st = new StringTokenizer(iden.trim(), "%");

	   		int j = st.countTokens();
	   		int idPage = new Integer(st.nextToken()).intValue();
	   		String urlPage = ((String)st.nextToken()).substring(2);	
			
	   		if (j == 2) {			//Documento
				String ris = db.getText(idPage);
         			out.println( ris );
	   		} 

         	} catch (Exception e) {
			e.printStackTrace();
         	} finally {
			out.close();
         	}	
	   
         //Aggiungere quando diverr disponibile la restituzione
         //delle immagini.
    }

}
