package uniba.gui;

import java.awt.*;
import java.awt.event.*;

/**
 * Permette di scegliere fra un documento di Training, Testing,
 * Reject.
 */
class PannelloTipo extends Panel implements FocusListener {

	private CheckboxGroup cbg = new CheckboxGroup();
	private Checkbox tr = new Checkbox("Training", cbg, true);
	private Checkbox ts = new Checkbox("Testing", cbg,  false);
	private Checkbox rj = new Checkbox("Reject", cbg,  false);
      private Label tipo = new Label("Type:");
	private InserimentoDocumentoTT mc = null;

	PannelloTipo(InserimentoDocumentoTT myController) {
		super();
		    this.mc = myController;	
                setLayout(new FlowLayout());
                setBackground(Color.lightGray);
                tipo.setBackground(Color.lightGray);
                add(tipo);
                tr.setBackground(Color.lightGray);
                tr.addFocusListener(this);
		add(tr);
                ts.setBackground(Color.lightGray);
                ts.addFocusListener(this);
		add(ts);
		    rj.setBackground(Color.lightGray);
                rj.addFocusListener(this);
		add(rj);	
	}

      /**
       * Restituisce il valore scelto: <b>TRAINING</b> oppure <b>TESTING</b>.
       */
	String getOption() {
		String risultato = cbg.getSelectedCheckbox().getLabel();
		return risultato.toUpperCase();
	}

      public void focusGained(FocusEvent e) {
            Checkbox source = (Checkbox)e.getSource();    
            if (source.equals(ts)) {
                ts.setState(true);
		    mc.pc.cat.setEnabled(true);
		    int ic = mc.pc.cat.getItemCount();
		    mc.categoria = (ic > 0);		
		    if ((mc.internet || mc.file) && mc.alias && mc.categoria)			
				mc.memorizza(true);
		    else
				mc.memorizza(false);	
            } else if (source.equals(tr)) {
                tr.setState(true);
		    mc.pc.cat.setEnabled(true);
		    int ic = mc.pc.cat.getItemCount();
                mc.categoria = (ic > 0);	
		    if ((mc.internet || mc.file) && mc.alias && mc.categoria)			
				mc.memorizza(true);
		    else
				mc.memorizza(false); 	
		} else {
		    rj.setState(true);	
		    mc.pc.cat.setEnabled(false);
		    mc.categoria = true;
		    if ((mc.internet || mc.file) && mc.alias)			
				mc.memorizza(true);
		    else
				mc.memorizza(false);	
		}
        }

      public void focusLost(FocusEvent e) {}


                                       
}

	
