package uniba.gui;

import java.awt.*;
import java.net.*;

/**
 * Finestra per messaggi di attesa
 */
public class ProgressWindow extends Frame
  {
//  private Button progressButton = new Button("Make Progress..");
  private BarProgress progress;

//------------------------------------------------------------------------------
// Method: ProgressWindow.ProgressWindow
//------------------------------------------------------------------------------

  public  ProgressWindow( String title)    {
	super(title);
	setLayout(new BorderLayout());

	this.add("Center",new Label("Processing...please wait "));
	this.add("South",new BarProgress(200,20," "));
	move(300,250);
	resize(200,100);


	}
//------------------------------------------------------------------------------
// Method: ProgressWindow.action
//------------------------------------------------------------------------------

  public boolean action( Event evt, Object obj )    {
  return true;
  }  
//------------------------------------------------------------------------------
// Method: ProgressWindow.handleEvent
//------------------------------------------------------------------------------
  public  boolean handleEvent( Event evt )    {
// Check for a window destroy event.
	if( evt.id == Event.WINDOW_DESTROY ) {
	  dispose();
	  System.exit(0);
	  return true;
	  }
	if( evt.id == Event.WINDOW_EXPOSE ) {
	  System.out.println("E mo'");
	  return true;
	  }
	if( evt.id == Event.WINDOW_DEICONIFY ) {
	  show();
	  return true;
	  }
	if( evt.id == Event.WINDOW_ICONIFY ) {
	  hide();
	  return true;
	  }
	return super.handleEvent(evt);
	}
 public void hide()  {
	super.hide();
	}
  public void increaseValue(int i){
	  progress.increaseValue(i);
  }  
 public void show()  {
	 repaint();
	super.show();
 } 
}
