package uniba.gui;

import java.awt.*;
import java.util.Enumeration;
import java.sql.SQLException;

import uniba.core.*;
import uniba.databanker.*;


/**
* Questa classe racchiude in un thread l'operazione di memorizzazione di un documento
* appena classificato e la memorizzazione della relativa rappresentazione secondo le features
* correnti.
*/
public class Thread_4 extends Thread {

	private HtmlPage currentPage = null;
	private Databanker db = null;
	private Thread currentThread = null;
	private Frame parent = null; 
	private Dialog dial = null;
	private String utente = null;
	private String categoria = null;
	private String nomeDocumento = null;
	private Enumeration features = null;
	private double[] repPage;

	public Thread_4(Dialog dial, String utente, String categoria, HtmlPage currentPage, 				Enumeration nameFeatures, Databanker db){

		super();
            parent = new Frame();
		this.dial = dial;
            this.utente = utente;
            this.categoria = categoria;
		this.currentPage = currentPage;
		this.db = db;
		features = nameFeatures;
            currentThread = this;
            currentThread.start();

      }

//-------------------------------------------------------------------------------

	public void run(){
		try {
			String tipo = "NESSUNO";
			db.inserisciDocumentoTT(utente, categoria, currentPage, tipo);
            } catch(Exception e) {
	      	new StampaErrore(parent, "Store Page", e.getMessage());
		}finally{
	           	parent.setCursor(new Cursor(Cursor.DEFAULT_CURSOR));
			dial.setCursor(new Cursor(Cursor.DEFAULT_CURSOR));
		}
 	}

//------------------------------------------------------------------------------

}
