package uniba.core;


import java.util.Vector;
/** Struttura dati che contiene il risultato parziale della classificazione mediante K-NN
 * ed un vettore degli identificatori dei documenti di test processati.
 */
public class kNNVector {
	Vector catDist;
	Vector idDocs;
		 
   /** Default constructor.
   */
   public kNNVector() {
	  catDist = new Vector();
	  idDocs = new Vector();		
   }   
   /** Restituisce il vettore contenente le categorie con rela tive distanze dei documenti.
   */		
   public Vector getCatDist() {
	  return catDist;
   }   
   /** Restituisce l'indice dei documenti processati.
   */
   public Vector getIdDocs() {
	  return idDocs;
   }   
   /** Setta il vettore delle categorie e distanze.
   */
   public void setCatDist(Vector cd) {
	if (catDist.size() > 0) {
		for (int i = 0;i < cd.size();i++) {
			catDist.addElement(cd.elementAt(i));
		}
	} else {
		catDist = cd;
	}
   }
   /** Setta il vettore degli identificatori dei documenti.
   */
   public void setIdDocs(Vector id) {
	if (idDocs.size() > 0) {
		for (int i = 0;i < id.size();i++) {
			idDocs.addElement(id.elementAt(i));
		}
	} else {
		idDocs = id;
	}
   }   
} //end class