package uniba.core;

/**
 * Questa classe contiene il nome del documento e la distanza dalla query
 */
public class Rank {

	private String nomeElemento;
      private double distanza;
      private int frase;

      public Rank(String nome, double dist) {
            nomeElemento = nome;
            distanza = dist;
      }

	public Rank(String nome, double dist, int f) {
            nomeElemento = nome;
            distanza = dist;
            frase = f;
      }

	/**
       * Restituisce il numero di frase
       */ 
      public synchronized int getPhrase() {
           return frase;
      }

  
      /**
       * Restituisce la distanza
       */ 
      public synchronized double getDistanza() {
           return distanza;
      }

      /**
       * Restituisce il nome del documento
       */
      public synchronized String getName() {
           return nomeElemento;
      }

}  