package uniba.core;

/**
 * Permette la manipolazione di stringhe
 * per le interrogazioni SQL.
 */
public abstract class SQL {


	/**
	 * Per ogni apice presente in <i>testo</i>, questo metodo ne aggiunge uno vicino,
         * in modo tale che l'interrogazione sql che usa <i>testo</i> non dia problemi.
         */
	public static String correggiApice(String testo) {
	
		String dest = new String("");

		for (int i = 0; i < testo.length(); i++) {
			if (testo.charAt(i) == '\'')
				dest = dest + "'";	
			dest = dest + testo.charAt(i);
		}

		return dest;
        }
}
