package uniba.gui;

import java.awt.*;
import java.awt.event.*;


/**
 * Permette di impostare il nome alternativo del documento.
 */

class PannelloAlias extends Panel implements TextListener {

	private TextField tf = new TextField(30);
	private InserimentoDocumentoTT myController;
        private Label alias = new Label("Alias:");
	
      PannelloAlias(InserimentoDocumentoTT myController) {
		super();
		this.myController = myController;
		setLayout(new FlowLayout());
                setBackground(Color.lightGray);
                alias.setBackground(Color.lightGray);
                add(alias);
		tf.addTextListener(this);
		add(tf);
	}

        /**
         * Metodo richiamato dall'AWT quando il testo cambia
         */ 
        public void textValueChanged(TextEvent te) {
                myController.alias = false;
		if (!tf.getText().equals("")) {
                        myController.alias = true;
                        if ((myController.internet || myController.file) & (myController.categoria))
				myController.memorizza(true);
		}
		else
			myController.memorizza(false);
	}

      String getAlias() {
                return tf.getText();
      }

      void setAlias(String alias) {
                tf.setText(alias);
      }

           
}

	
